## NAME

r3.gradient - Computes gradient of a 3D raster map and outputs gradient components as three 3D raster maps.

## KEYWORDS

raster3d, gradient, voxel

## SYNOPSIS

r3.gradient
r3.gradient --help
r3.gradient input=name output=grad_x,grad_y,grad_z[,grad_x,grad_y,grad_z,...] [blocksize=size_x,size_y,size_z[,size_x,size_y,size_z,...]] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input 3D raster map
output=grad_x,grad_y,grad_z[,grad_x,grad_y,grad_z,...] [required]
  Name for output 3D raster map(s)
blocksize=size_x,size_y,size_z[,size_x,size_y,size_z,...]
  Size of blocks
  Default: 30,30,20

## DESCRIPTION

Module r3.gradient computes gradient from a 3D raster map. Results are three 3D raster maps describing the x, y, z components of the computed gradient field.

## EXAMPLES

    # create a 3D raster
    g.region s=0 n=100 w=0 e=100 b=0 t=100 -p
    r3.mapcalc "test_gradient = sqrt(row()*row() +col()*col()+ depth()*depth())"

    # compute gradient
    r3.gradient input=test_gradient output=grad_x,grad_y,grad_z

## SEE ALSO

r3.flow, r.flow

## AUTHOR

Anna Petrasova, NCSU OSGeoREL, developed during GSoC 2014.

## SOURCE CODE

Available at: r3.gradient source code (history)

Latest change: Thursday Jan 26 14:10:26 2023 in commit: cdd84c130cea04b204479e2efdc75c742efc4843

Main index | 3D raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.3.0dev Reference Manual